Bug 498366 - port to PolicyKit 1.0
port to PolicyKit 1.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 01:11 EDT by Matthias Clasen
Modified: 2009-06-10 00:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 00:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (16.65 KB, patch)
2009-04-30 01:11 EDT, Matthias Clasen
no flags Details | Diff
new patch (25.51 KB, patch)
2009-05-13 13:25 EDT, Matthias Clasen
no flags Details | Diff
ported to 0.92 (27.36 KB, patch)
2009-05-13 19:16 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-04-30 01:11:56 EDT
Created attachment 341865 [details]
patch

rough, untested patch attached. this is one of the places where we may really want to add some polkit-gnome functionality again, to get the button visibility right.
Comment 1 Matthias Clasen 2009-05-13 13:25:30 EDT
Created attachment 343821 [details]
new patch

the new patch has been tested, I've also added CanSetTime/CanSetTimezone methods to the mechanism, to keep the button visibility stuff working.
Comment 2 Matthias Clasen 2009-05-13 19:16:50 EDT
Created attachment 343885 [details]
ported to 0.92
Comment 3 Bug Zapper 2009-06-09 10:51:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matthias Clasen 2009-06-10 00:25:15 EDT
Built in gnome-panel-2.26.2-3.fc12
Comment 5 Matthias Clasen 2009-06-10 00:26:42 EDT
Upstream http://bugzilla.gnome.org/show_bug.cgi?id=585306

Note You need to log in before you can comment on or make changes to this bug.